--- title: "Edit usage plan" slug: "apigateway-usageplan-putusageplan" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-usageplan-putusageplan" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Edit usage plan Available in Classic and VPC Edit usage plan information according to the user-defined conditions. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | PUT | /api/v1/usage-plans/{usage-plan-id} | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `usage-plan-id` | String | Required | ID of usage plan to edit - 0 - 10 characters - See [View usage plan list](/docs/en/apigateway-usageplan-getusageplanlist) | ### Request syntax The request syntax is as follows. ``` { "monthQuotaRequest" : 6, "dayQuotaRequest" : 0, "usagePlanDescription" : "usagePlanDescription", "rateRps" : 1, "quotaCondition" : "quotaCondition", "usagePlanName" : "usagePlanName" } ``` ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `monthQuotaRequest` | Long | Conditional | Monthly request processing limit (cases/month) to edit to - 0 - 9,007,199,254,740,991 - Required when entering `dayQuotaRequest` | | `dayQuotaRequest` | Long | Conditional | Daily request processing limit (cases/day) to edit to - 0 - 9,007,199,254,740,991 - Required when entering `monthQuotaRequest` | | `usagePlanDescription` | String | Optional | Description for the usage plan to edit to - 0 - 50 characters | | `rateRps` | Long | Optional | Request throughput (cases/second) to edit to - 1 - 2,147,483,647 | | `quotaCondition` | String | Optional | Usage control conditions to edit to - `2xx` \| `3xx` \| `4xx` \| `5xx` \| `others` | | `usagePlanName` | String | Required | Name of usage plan to edit to - 1 - 45 characters - Enter the existing usage plan name if you don't want to edit it | ### Request example The following is a sample request. ``` curl --location --request PUT 'https://apigateway.apigw.ntruss.com/api/v1/usage-plans/***wthl***' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "monthQuotaRequest": 15, "dayQuotaRequest": 10, "rateRps": 5, "quotaCondition": "2xx", "usagePlanDescription": "usageplan000", "usagePlanName": "usageplan000" }' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "usagePlan" : { "domainCode" : "domainCode", "usagePlanId" : "usagePlanId", "modifier" : "modifier", "associatedStagesCount" : 0, "dayQuotaRequest" : 6, "permission" : "permission", "rateRps" : 5, "usagePlanName" : "usagePlanName", "monthQuotaRequest" : 1, "tenantId" : "tenantId", "disabled" : true, "usagePlanDescription" : "usagePlanDescription", "quotaCondition" : "quotaCondition", "actionName" : "actionName" } } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "usagePlan": { "tenantId": "***e230cebc1402ba89b148896951***", "usagePlanId": "***wthl***", "rateRps": 5, "usagePlanName": "usageplan000", "usagePlanDescription": "usageplan000", "dayQuotaRequest": 10, "quotaCondition" : "2xx", "monthQuotaRequest": 15, "domainCode": "PUB", "associatedStagesCount": 0 } } ```